Bug 61899 - REGRESSION: inline style is lost when deleting line break between paragraphs with same style
Summary: REGRESSION: inline style is lost when deleting line break between paragraphs ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: HTML Editing (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P1 Normal
Assignee: Ryosuke Niwa
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2011-06-01 18:48 PDT by Ryosuke Niwa
Modified: 2011-06-03 09:14 PDT (History)
5 users (show)

See Also:


Attachments
demo (386 bytes, text/html)
2011-06-01 18:48 PDT, Ryosuke Niwa
no flags Details
fixes the bug (4.89 KB, patch)
2011-06-01 18:54 PDT, Ryosuke Niwa
eric: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryosuke Niwa 2011-06-01 18:48:51 PDT
Created attachment 95698 [details]
demo

The attachment demonstrates the bug.  When two paragraphs have same style, deleting a line break between them results in the second paragraph losing its font style.
Comment 1 Ryosuke Niwa 2011-06-01 18:54:27 PDT
Created attachment 95699 [details]
fixes the bug
Comment 2 Eric Seidel 2011-06-02 08:27:42 PDT
Comment on attachment 95699 [details]
fixes the bug

OK.  Do we need to add a comment to document the ordering?  Or is it obvious from the code?
Comment 3 Ryosuke Niwa 2011-06-02 10:04:46 PDT
(In reply to comment #2)
> (From update of attachment 95699 [details])
> OK.  Do we need to add a comment to document the ordering?  Or is it obvious from the code?

It must be obvious from the code (at least to me).  Also changing the order will make the added test to fail :)
Comment 4 Ryosuke Niwa 2011-06-02 12:08:01 PDT
Committed r87937: <http://trac.webkit.org/changeset/87937>
Comment 5 Ryosuke Niwa 2011-06-02 12:08:50 PDT
Thanks for the review!
Comment 6 Adele Peterson 2011-06-02 12:15:00 PDT
<rdar://problem/9543996>
Comment 7 Ademar Reis 2011-06-03 09:14:25 PDT
Revision r87937 cherry-picked into qtwebkit-2.2 with commit dbda3e9 <http://gitorious.org/webkit/qtwebkit/commit/dbda3e9>